calls.get
One run: status, outcome, artifacts.
Returns the full run record including run status, duration, transcript URL, recording URL, gathered context, and usage/cost info.
Use the recording_url and transcript_url directly, or use the Download endpoint to generate time-limited public URLs for sharing.
Reference
GET/api/v1/workflows/{workflow_id}/runs/{run_id}
- Auth
- API key in
X-API-Key - Content
- none
- Returns
- 200 · WorkflowRunResponseSchema
Arguments
| Argument | In | Type | Required | Description |
|---|---|---|---|---|
workflow_id | path | integer | required | |
run_id | path | integer | required |
Example request
curl -X GET "https://api.decibyl.ai/api/v1/workflows/<workflow_id>/runs/<run_id>" \
-H "X-API-Key: dcb_your_key"Response
{
"id": 1,
"workflow_id": 1,
"name": "string",
"mode": "string",
"created_at": "2026-09-14T09:30:00Z",
"is_completed": true,
"transcript_url": "string",
"recording_url": "string",
"user_recording_url": "string",
"bot_recording_url": "string",
"transcript_public_url": "string",
"recording_public_url": "string",
"user_recording_public_url": "string",
"bot_recording_public_url": "string",
"public_access_token": "string",
"cost_info": {},
"usage_info": {},
"definition_id": 1,
"initial_context": {},
"gathered_context": {},
"call_type": "inbound",
"logs": {},
"annotations": {},
"pipeline_error": {}
}Errors
| Status | When |
|---|---|
404 | Not found |
422 | Validation Error |